HERE Data SDK for Python - Core

The Data SDK for Python - Core module enables exploration of HERE platform data in your own environment using Python. Use this SDK as a library or module in your Python application to interact with HERE platform. It also includes helpers to access other useful HERE services, such as HERE Location Services.

The Data SDK for Python - Core module is delivered using Pip as well as Conda, a package management service that makes it easy to find, access, store and share public notebooks, environments, and conda and PyPI packages. Conda is a popular tool among Python data workers because it makes it easy for them to stay current with updates made to their various environments and packages. It also allows users to switch between environments without affecting the delicate compatibility of each environment's dependencies.

Pip Installation

Prerequisites

To install the module, use the following command:

This command will install the latest version of the SDK - Core module in the current environment.

pip install --extra-index-url https://repo.platform.here.com/artifactory/api/pypi/analytics-pypi/simple/ here-nagini==1.8

Note

  • If you have errors related with GDAL or geopandas dependency on Windows, when installing the core pip package, please follow these steps.
  • If you have errors related with Microsoft Visual C++ build tools, please follow these steps.

Conda Installation

Prerequisites

Note

After installing conda for the first time, please restart your terminal before executing any conda command. This is to avoid a common issue where conda command is not recognized the first time.

To install the module, use the following command:

This command will install the latest version of the SDK - Core module in the current conda environment.

For Linux/MacOS:

conda install -c conda-forge -c https://repo.platform.here.com/artifactory/api/conda/olp_analytics/analytics_sdk here-nagini=1.8
For Windows:
conda.exe install -c conda-forge -c https://repo.platform.here.com/artifactory/api/conda/olp_analytics/analytics_sdk here-nagini=1.8

Verify Installation

Execute the below command to verify the core module installation:

python -c "import nagini"

Help us improve our setup experience, please fill out this short 1-minute survey after you are finished setting up the SDK. Complete survey


results matching ""

    No results matching ""